% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fidofit_methods.R, R/generics_s3.R
\name{ncategories.pibblefit}
\alias{ncategories.pibblefit}
\alias{nsamples.pibblefit}
\alias{ncovariates.pibblefit}
\alias{niter.pibblefit}
\alias{ncategories.orthusfit}
\alias{nsamples.orthusfit}
\alias{ncovariates.orthusfit}
\alias{niter.orthusfit}
\alias{access_dims}
\alias{ncategories}
\alias{nsamples}
\alias{ncovariates}
\alias{niter}
\title{Generic method for accessing model fit dimensions}
\usage{
\method{ncategories}{pibblefit}(m)

\method{nsamples}{pibblefit}(m)

\method{ncovariates}{pibblefit}(m)

\method{niter}{pibblefit}(m)

\method{ncategories}{orthusfit}(m)

\method{nsamples}{orthusfit}(m)

\method{ncovariates}{orthusfit}(m)

\method{niter}{orthusfit}(m)

ncategories(m)

nsamples(m)

ncovariates(m)

niter(m)
}
\arguments{
\item{m}{An object of class pibblefit}
}
\value{
integer
}
\description{
Generic method for accessing model fit dimensions
}
\details{
An alternative approach to accessing these dimensions is to 
  access them directly from the pibblefit object using list indexing. 
* \code{ncategories} is equivalent to \code{m$D}
* \code{nsamples} is equivalent to \code{m$N}
* \code{ncovariates} is equivalent to \code{m$Q}
}
